ipv6calc (4.1.0-0.1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Non-maintainer upload, maintainer is unresponsive (#999664).
  * New upstream release.
    - Drop GCC 10-related patch (ipv6logconv.patch), fixed upstream.
    - Switch to GeoIP2 (libmaxminddb-dev), replacing the GeoIP-Legacy
      (libgeoip-dev) functionality.
  * Convert package to "dh", and bump debhelper compat to 13.
  * Build with (all) hardening flags.
  * Enable some of the upstream build-time tests.
  * Add more upstream cruft (Makefiles) to d/clean.
  * Properly return the source tree to its pristine condition after "clean".
  * Bump watchfile to version 4.
  * Switch watchfile from FTP to HTTPS URL, addressing the
    debian-watch-uses-insecure-uri lintian warning.
  * Use upstream's 2022-12-04 signing key (expires: 2027-12-03).
  * Remove versioned Build-Dependency on a too old dpkg-dev.
  * Bump Standards-Version to 4.6.2.
  * Add upstream metadata, mostly pointing to upstream's GitHub project.
  * Set Rules-Requires-Root to no.
  * debian/copyright:
    - Update to copyright-format v1.0.
    - Reindent based on the new format rules.
    - Add the GPL preamble, use Comment, and separate GPL-2.0 from GPL-2.0+.
    - Update dates and files, as a result of the new upstream release.
    - Add my own copyright.
  * Remove now-obsolete README.source (was the quilt boilerplate).
  * Remove now-obsolete README.Debian.
  * Remove tools and examples that are not really useful in a binary
    distribution.
  * Use the Debian-provided copies of IEEE data (which also happen to be more
    recent), rather than the precompiled ones in the source tarball.
  * Add lintian overrides when appropriate, with a comment documenting why.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 02 Dec 2023 23:50:30 +0200

ipv6calc (1.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1043192)
    + Drop unused quilt

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 10:52:01 +0200

ipv6calc (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957372)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Aug 2020 18:48:51 +0100

ipv6calc (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Luca Bruno <lucab@debian.org>  Thu, 10 May 2018 13:19:02 +0000

ipv6calc (0.99.1-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * remove myself from uploaders

  [ Luca Bruno ]
  * control: move vcs endpoints to salsa
  * control: bump to compat version 10
  * rules: switch to dh_prep
  * control: bump policy version to 4.1.4
  * gbp: update config

 -- Luca Bruno <lucab@debian.org>  Tue, 24 Apr 2018 20:28:10 +0000

ipv6calc (0.99.1-1) unstable; urgency=medium

  * New upstream version
  * debian: update control and gbp.conf

 -- Luca Bruno <lucab@debian.org>  Sat, 03 Oct 2015 19:01:46 +0200

ipv6calc (0.97.4-1) unstable; urgency=medium

  * New upstream version
  * Bump policy version to 3.9.5

 -- Luca Bruno <lucab@debian.org>  Sun, 17 Aug 2014 15:48:16 +0200

ipv6calc (0.97.2-1) unstable; urgency=medium

  * new upstream version
  * debian/watch: add OpenPGP signature check

 -- Luca Bruno <lucab@debian.org>  Sat, 21 Jun 2014 11:14:38 +0200

ipv6calc (0.95.0-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Sun, 01 Dec 2013 12:15:18 +0100

ipv6calc (0.94.1-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Thu, 16 May 2013 17:20:29 +0200

ipv6calc (0.93.1-2) unstable; urgency=low

  * Use hardened CPPFLAGS (Closes: #665288)

 -- Luca Bruno <lucab@debian.org>  Sat, 19 May 2012 23:51:46 +0200

ipv6calc (0.93.1-1) unstable; urgency=low

  * New upstream release
  * Added dpkg-dev build-dep
  * Bumped standards-version to 3.9.3 (no changes)
  * Fix build target in debian/rules (with arch/indep split)

 -- Luca Bruno <lucab@debian.org>  Mon, 12 Mar 2012 17:53:44 +0100

ipv6calc (0.92.0-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sat, 26 Nov 2011 16:36:25 +0100

ipv6calc (0.90.0-2) unstable; urgency=low

  * Enable hardening flags (Closes: #646271)
    + Fix some snprintf() without format specifiers

 -- Luca Bruno <lucab@debian.org>  Wed, 02 Nov 2011 13:58:53 +0100

ipv6calc (0.90.0-1) unstable; urgency=low

  * New upstream version
  * Use split v4/v6 GeoIP databases

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Aug 2011 15:54:04 +0200

ipv6calc (0.82.0-1) unstable; urgency=low

  * New upstream release
    + Add support for NAT64

 -- Luca Bruno <lucab@debian.org>  Sun, 03 Apr 2011 17:29:28 +0200

ipv6calc (0.81.0-1) unstable; urgency=low

  * New upstream release
    + Address parsing with stricter validation (Closes: #612489)

 -- Luca Bruno <lucab@debian.org>  Wed, 02 Mar 2011 10:27:47 +0100

ipv6calc (0.80.0-1) unstable; urgency=low

  * New upstream release
    + Drop all our previous patches, everything has been accepted upstream

 -- Luca Bruno <lucab@debian.org>  Sun, 16 Jan 2011 12:14:06 +0100

ipv6calc (0.73.0-3) unstable; urgency=low

  * Fix typo in printing of Teredo server address, thanks Martin Millnert
    (Closes: #569236)
  * Bumped Standards-Version to 3.8.4

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Mar 2010 11:11:18 +0100

ipv6calc (0.73.0-2) unstable; urgency=low

  * Temporary patch to avoid segfaulting at help time (Closes: #555396)

 -- Luca Bruno <lucab@debian.org>  Fri, 01 Jan 2010 18:07:14 +0100

ipv6calc (0.73.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.8.3, no changes needed.

 -- Luca Bruno <lucab@debian.org>  Tue, 29 Sep 2009 22:18:14 +0200

ipv6calc (0.72.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update my e-mail address.
    + Standards-Version: 3.8.2, no changes needed.
  * debian/patches:
    + Drop cgi-bin-location.diff, applied upstream.
  * debian/gbp.conf:
    + Add config file for gbp, avoid forgetting --git-pristine-tar.
  * debian/patches/automake.diff:
    + Add description to make lintian and possible NMUers happy.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 28 Jul 2009 21:00:42 +0200

ipv6calc (0.72.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Use DESTDIR instead of root for make install.
    + Use DEFAULT_CFLAGS instead of COPTS for make.
  * debian/patches/automake.diff:
    + Refresh patch against new upstream source.
  * debian/copyright:
    + Update copyright years.

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 26 Jan 2009 09:45:16 +0100

ipv6calc (0.72.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + update copyright years.
    + update to the latest copyright-format proposal.
  * debian/rules:
    + let configure-stamp depend on $(QUILT_STAMPFN) instead of patch,
      so configure isn't run twice.
    + use dh_clean for all cleaning in the clean target, we don't need
      $(RM) here.

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 27 Nov 2008 01:10:58 +0100

ipv6calc (0.71.0-3) unstable; urgency=low

  [ Luca Bruno ]
  * New maintainers. (Closes: #487960)
  * Added proper Vcs-Git fields.
  * Upgraded to Standards-Version 3.8.0, no changes needed.
  * Now handling all previous patches with quilt.

  [ Evgeni Golov ]
  * Added README.source as recommended by Policy 4.14.
  * Removed CFLAGS handling from debian/rules, let dpkg handle it.
  * Converted debian/copyright to machine-readable format.

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 31 Jul 2008 21:49:57 +0200

ipv6calc (0.71.0-2) unstable; urgency=low

  * Fix an invalid CFLAGS value in the top-level Makefile that made
    the package FTBFS with dpkg-dev (>= 1.14.17). (Closes: #476007)
  * Patch the upstream Makefiles to consistently handle compiler flag
    overriding with COPTS.
  * Properly support DEB_BUILD_OPTIONS=noopt.
  * Update the maintainer email address.
  * Upgrade to Standards-Version 3.7.3. No changes needed.
  * Promote the homepage information to a real control header.

 -- Niko Tyni <ntyni@debian.org>  Mon, 14 Apr 2008 21:47:44 +0300

ipv6calc (0.71.0-1) unstable; urgency=low

  * New upstream release.

 -- Niko Tyni <ntyni@iki.fi>  Sat,  2 Jun 2007 21:40:13 +0300

ipv6calc (0.70.0-1) unstable; urgency=low

  * New upstream release.
  * The IP2Location and GeoIP libraries are no longer bundled in the
    upstream tarball; update debian/copyright accordingly.
  * Updated GeoIP notes in README.Debian.
  * Install ipv6logstats and ipv6loganon examples.

 -- Niko Tyni <ntyni@iki.fi>  Wed, 11 Apr 2007 13:41:11 +0300

ipv6calc (0.61.0-1) unstable; urgency=low

  * New upstream release.
    + adds GeoIP support.
  * Updated debian/copyright.
  * Updated README.Debian with GeoIP notes.
  * Add debian/watch.

 -- Niko Tyni <ntyni@iki.fi>  Tue, 12 Sep 2006 00:41:32 +0300

ipv6calc (0.60.1-1) unstable; urgency=low

  * New upstream release.

 -- Niko Tyni <ntyni@iki.fi>  Tue, 11 Jul 2006 21:00:20 +0300

ipv6calc (0.60.0-2) unstable; urgency=low

  * Check endianness at configure time for md5/md5.c. (Closes: #375855)
  * Make test failures at build time critical.

 -- Niko Tyni <ntyni@iki.fi>  Thu, 29 Jun 2006 20:43:51 +0300

ipv6calc (0.60.0-1) unstable; urgency=low

  * New maintainer. (Closes: #369344)
  * New upstream release. (Closes: #261277)
    + includes md5.c from coreutils, so build-dependency on openssl-dev is
      no longer needed.
    + fixes typo in man page. (Closes: #237941)
  * Update debian/copyright.
  * Set Standards-Version to 3.7.2. (Closes: #252222)
  * Upgrade to debhelper compatibility level 5.
  * debian/rules cleanup.
  * Remove all maintainer scripts, as they didn't do anything at all.
  * Don't install CVS directories or tarballs as examples. (Closes: #334545)
  * Link with the glibc getopt library instead of the bundled one.
  * Refresh autotools generated files.
  * Update the long description.
  * Add README.Debian documenting that we don't support the (non-free)
    IP2Location databases.

 -- Niko Tyni <ntyni@iki.fi>  Tue, 27 Jun 2006 22:35:12 +0300

ipv6calc (0.46-2) unstable; urgency=low

  * add ipv6logstats.8.

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Tue, 21 Oct 2003 17:28:40 +0900

ipv6calc (0.46-1) unstable; urgency=low

  * New upstream release(Closes: #213972)

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Fri, 17 Oct 2003 16:08:44 +0900

ipv6calc (0.45-3) unstable; urgency=low

  * follow up the lastest version of Debian Policy (Standards-Version 3.6.0)

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Mon,  8 Sep 2003 22:37:42 +0900

ipv6calc (0.45-2) unstable; urgency=low

  * Bug Close(Closes: #209103)

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Mon,  8 Sep 2003 17:47:11 +0900

ipv6calc (0.45-1) unstable; urgency=low

  * New upstream release(Closes: #160434,#205243)

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Sun,  7 Sep 2003 18:51:18 +0900

ipv6calc (0.39-1) unstable; urgency=low

  * New upstream release

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Sun,  3 Mar 2002 21:08:51 +0900

ipv6calc (0.38-1) unstable; urgency=low

  * New upstream release
  * showinfoexamples.sh install into /usr/share/doc/ipv6calc/examples/

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Fri,  1 Mar 2002 23:11:40 +0900

ipv6calc (0.36-1) unstable; urgency=low

  * New upstream release

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Wed, 20 Feb 2002 17:12:15 +0900

ipv6calc (0.34-1) unstable; urgency=low

  * New upstream release.(Closes: #126885)

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Mon,  4 Feb 2002 22:58:05 +0900

ipv6calc (0.32-1) unstable; urgency=low

  * new upstream.
  * disable RFC3041 support from original source code.

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Mon, 21 Jan 2002 02:59:12 +0900

ipv6calc (0.23-1) unstable; urgency=low

  * Initial Release.

 -- Masamichi Goudge M.D. <Matanuki@Goudge.org>  Tue, 14 Aug 2001 15:39:39 +0900
